public class AffichageHexadecimalEnConsole {

//////////////////////////////////////////////////////////////

/* Affichage hexadecimal d'un chiffre                       */

  static void affichageCaractereHexadecimal(int chiffre) {
    switch(chiffre) {
      case 10 :
        Console.afficher('A');
        break;
      case 11 :
        Console.afficher('B');
        break;
      case 12 :
        Console.afficher('C');
        break;
      case 13 :
        Console.afficher('D');
        break;
      case 14 :
        Console.afficher('E');
        break;
      case 15 :
        Console.afficher('F');
        break;
      default :
        Console.afficher(chiffre);
        break; }
  }

/* Affichage hexadecimal d'un entier compris entre 0 et 255 */

  static void affichageHexadecimal(int v) {
    int chiffreHaut;
    int chiffreBas;
    chiffreHaut = v/16;
    chiffreBas = v%16;
    affichageCaractereHexadecimal(chiffreHaut);
    affichageCaractereHexadecimal(chiffreBas);
  }

//////////////////////////////////////////////////////////////

/* Programme principal                                      */

  public static void main(String [] args) {
    Console.setTitle("AffichageHexadecimal");
    int val;
    Console.afficher("SVP, la valeur : ");
    val = Console.saisirInt();
    Console.afficher(val," = ");
    affichageHexadecimal(val);
    Console.afficher(" en hexadecimal");
    Console.sautDeLigne();
  }
}